import { promisify } from 'util';
import { pipeline as _pipeline } from 'stream';
const pipeline = promisify(_pipeline);
import { createPendingFilesPassthrough, createCommitTransform } from '../transform.js';
import { isFilePending } from '../state.js';
function commit(filters, stream) {
    if (!Array.isArray(filters)) {
        stream = filters;
        filters = [];
    }
    stream = stream ?? this.store.stream({ filter: (file) => isFilePending(file) });
    filters = filters ?? [];
    return pipeline(stream, createPendingFilesPassthrough(), ...filters, createCommitTransform(this));
}
export default commit;
